# Administration Reference

## fs whichcell

Purpose

Returns the name of the cell to which a file or directory belongs

Synopsis

    fs whichcell [-path <dir/file path>+]  [-help]

    fs whi  [-p <dir/file path>+]  [-h]

Description

The fs whichcell command returns the name of the cell in which the volume that houses each indicated directory or file resides.

To display the file server machine on which the volume housing a directory or file resides, use the fs whichcell command. To display the cell membership of the local machine, use the fs wscell command.

Options

-path
  Names each AFS file or directory for which to return the cell membership. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output includes a line for each directory or file, naming the cell to which the volume that houses the directory or file resides.

Examples

The following example shows that the current working directory resides in a volume in the ABC Corporation cell:

       % fs whichcell
       File . lives in cell 'abc.com'

Privilege Required

None

Related Information

fs wscell

fs whereis

© IBM Corporation 2000. All Rights Reserved